### Method

# Clutter InputDeviceTool get_id

#### Declaration [src]

    guint64
    clutter_input_device_tool_get_id (
      ClutterInputDeviceTool* tool
    )

#### Description [src]

Gets the ID of this tool, this value can be used to identify a physical tool (eg. a tablet pen) across program executions.

Gets property | `Clutter.InputDeviceTool:id`

#### Return value

Type: `guint64`

The tool ID for this tool.